Bug 1123406 - LibreOffice Writer crashes when deleting parts of a document
Summary: LibreOffice Writer crashes when deleting parts of a document
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-25 14:25 UTC by Martin Preisler
Modified: 2015-12-02 16:10 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 03:17:45 UTC


Attachments (Terms of Use)

Description Martin Preisler 2014-07-25 14:25:39 UTC
Description of problem:
LibreOffice crashes after trying to delete a part of an OpenXML document.
The specific document is http://oval.mitre.org/language/version5.10.1/OVAL_Unix_Component_Specification.04-04-2012.docx

Version-Release number of selected component (if applicable):
4.2.5.2

Name        : libreoffice
Arch        : x86_64
Epoch       : 1
Version     : 4.2.5.2
Release     : 6.fc20
Size        : 0.0  
Repo        : installed

How reproducible:
Unfortunately not always but frequent with this document

Steps to Reproduce:
1. Open an OpenXML (docx) document, export as ODT to disk, open the ODT
2. Select everything except the first 3 pages of the document (SHIFT+PageDown)
3. Press DELETE

Actual results:
LibreOffice Writer crashes.

Expected results:
The part of the document is deleted and I can continue editing.

Additional info:
Program received signal SIGSEGV, Segmentation fault.
0x00007fffd71483d8 in SwIndex::Init(int) () from /usr/lib64/libreoffice/program/../program/libswlo.so
(gdb) bt
#0  0x00007fffd71483d8 in SwIndex::Init(int) () from /usr/lib64/libreoffice/program/../program/libswlo.so
#1  0x00007fffd7171810 in SwPosition::SwPosition(SwNode const&) () from /usr/lib64/libreoffice/program/../program/libswlo.so
#2  0x00007fffd7207b8e in SwDoc::IsInRedlines(SwNode const&) const () from /usr/lib64/libreoffice/program/../program/libswlo.so
#3  0x00007fffd74a204f in SwTxtNode::CountWords(SwDocStat&, unsigned short, unsigned short) const () from /usr/lib64/libreoffice/program/../program/libswlo.so
#4  0x00007fffd736bfd9 in SwLayIdle::_DoIdleJob(SwCntntFrm const*, SwLayIdle::IdleJobType) () from /usr/lib64/libreoffice/program/../program/libswlo.so
#5  0x00007fffd736c1fd in SwLayIdle::DoIdleJob(SwLayIdle::IdleJobType, unsigned char) () from /usr/lib64/libreoffice/program/../program/libswlo.so
#6  0x00007fffd736f6db in SwLayIdle::SwLayIdle(SwRootFrm*, SwViewImp*) () from /usr/lib64/libreoffice/program/../program/libswlo.so
#7  0x00007fffd761207e in SwViewShell::LayoutIdle() () from /usr/lib64/libreoffice/program/../program/libswlo.so
#8  0x00007fffd71e9076 in SwDoc::DoIdleJobs(Timer*) () from /usr/lib64/libreoffice/program/../program/libswlo.so
#9  0x0000003b13b23f3c in Timer::ImplTimerCallbackProc() () from /usr/lib64/libreoffice/program/libvcllo.so
#10 0x00007ffff0db5154 in sal_gtk_timeout_dispatch () from /usr/lib64/libreoffice/program/libvclplug_gtklo.so
#11 0x0000003317a492a6 in g_main_context_dispatch () from /lib64/libglib-2.0.so.0
#12 0x0000003317a49628 in g_main_context_iterate.isra () from /lib64/libglib-2.0.so.0
#13 0x0000003317a496dc in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#14 0x00007ffff0db7085 in GtkData::Yield(bool, bool) () from /usr/lib64/libreoffice/program/libvclplug_gtklo.so
#15 0x0000003b13b1bd72 in Application::Yield() () from /usr/lib64/libreoffice/program/libvcllo.so
#16 0x0000003b13b1be05 in Application::Execute() () from /usr/lib64/libreoffice/program/libvcllo.so
#17 0x0000003b18622ea3 in desktop::Desktop::Main() () from /usr/lib64/libreoffice/program/libsofficeapp.so
#18 0x0000003b13b234d1 in ImplSVMain() () from /usr/lib64/libreoffice/program/libvcllo.so
#19 0x0000003b13b23502 in SVMain() () from /usr/lib64/libreoffice/program/libvcllo.so
#20 0x0000003b18647c75 in soffice_main () from /usr/lib64/libreoffice/program/libsofficeapp.so
#21 0x000000000040071b in main ()

Comment 1 David Tardon 2014-08-01 11:09:47 UTC
valgrind says:

==21276== Invalid read of size 8
==21276==    at 0x2F499A31: std::__debug::list<SwSidebarItem*, std::allocator<SwSidebarItem*> >::remove(SwSidebarItem* const&) (list:583)
==21276==    by 0x2F48D482: SwPostItMgr::RemoveItem(SfxBroadcaster*) (PostItMgr.cxx:245)
==21276==    by 0x2F48DA87: SwPostItMgr::Notify(SfxBroadcaster&, SfxHint const&) (PostItMgr.cxx:350)
==21276==    by 0x8E0041D: SfxBroadcaster::Broadcast(SfxHint const&) (SfxBroadcaster.cxx:43)
==21276==    by 0x2ECAEF2D: SwNodes::ChgNode(SwNodeIndex&, unsigned long, SwNodeIndex&, bool) (nodes.cxx:281)
==21276==    by 0x2ECAFA3C: SwNodes::_MoveNodes(SwNodeRange const&, SwNodes&, SwNodeIndex const&, bool) (nodes.cxx:476)
==21276==    by 0x2F08E862: SwUndoDelete::SwUndoDelete(SwPaM&, bool, bool) (undel.cxx:298)
==21276==    by 0x2EBB8251: sw::DocumentContentOperationsManager::DeleteRangeImplImpl(SwPaM&) (DocumentContentOperationsManager.cxx:3613)
==21276==    by 0x2EBB7DC1: sw::DocumentContentOperationsManager::DeleteRangeImpl(SwPaM&, bool) (DocumentContentOperationsManager.cxx:3542)
==21276==    by 0x2EBB7CED: sw::DocumentContentOperationsManager::DeleteAndJoinImpl(SwPaM&, bool) (DocumentContentOperationsManager.cxx:3522)
==21276==    by 0x2EBAA2EC: (anonymous namespace)::lcl_DoWithBreaks(sw::DocumentContentOperationsManager&, SwPaM&, bool (sw::DocumentContentOperationsManager::*)(SwPaM&, bool), bool) (DocumentContentOperationsManager.cxx:484)
==21276==    by 0x2EBB05EF: sw::DocumentContentOperationsManager::DeleteAndJoin(SwPaM&, bool) (DocumentContentOperationsManager.cxx:1886)
==21276==  Address 0x2ab87a10 is 16 bytes inside a block of size 24 free'd
==21276==    at 0x4C28991: operator delete(void*) (in /usr/lib64/valgrind/vgpreload_memcheck-amd64-linux.so)
==21276==    by 0x2F49E9E5: __gnu_cxx::new_allocator<std::__cxx1998::_List_node<SwSidebarItem*> >::deallocate(std::__cxx1998::_List_node<SwSidebarItem*>*, unsigned long) (new_allocator.h:110)
==21276==    by 0x2F49DF45: std::__cxx1998::_List_base<SwSidebarItem*, std::allocator<SwSidebarItem*> >::_M_put_node(std::__cxx1998::_List_node<SwSidebarItem*>*) (stl_list.h:338)
==21276==    by 0x2F49E235: std::__cxx1998::list<SwSidebarItem*, std::allocator<SwSidebarItem*> >::_M_erase(std::__cxx1998::_List_iterator<SwSidebarItem*>) (stl_list.h:1577)
==21276==    by 0x2F49D31A: std::__cxx1998::list<SwSidebarItem*, std::allocator<SwSidebarItem*> >::erase(std::__cxx1998::_List_iterator<SwSidebarItem*>) (list.tcc:112)
==21276==    by 0x2F49B851: std::__debug::list<SwSidebarItem*, std::allocator<SwSidebarItem*> >::_M_erase(std::__cxx1998::_List_iterator<SwSidebarItem*>) (list:437)
==21276==    by 0x2F499A50: std::__debug::list<SwSidebarItem*, std::allocator<SwSidebarItem*> >::remove(SwSidebarItem* const&) (list:584)
==21276==    by 0x2F48D482: SwPostItMgr::RemoveItem(SfxBroadcaster*) (PostItMgr.cxx:245)
==21276==    by 0x2F48DA87: SwPostItMgr::Notify(SfxBroadcaster&, SfxHint const&) (PostItMgr.cxx:350)
==21276==    by 0x8E0041D: SfxBroadcaster::Broadcast(SfxHint const&) (SfxBroadcaster.cxx:43)
==21276==    by 0x2ECAEF2D: SwNodes::ChgNode(SwNodeIndex&, unsigned long, SwNodeIndex&, bool) (nodes.cxx:281)
==21276==    by 0x2ECAFA3C: SwNodes::_MoveNodes(SwNodeRange const&, SwNodes&, SwNodeIndex const&, bool) (nodes.cxx:476)
==21276== 

which might be related. But I have not got any crash in 6 tries.

Comment 2 Martin Preisler 2014-08-01 13:39:16 UTC
OK, I can confirm that I get the same valgring read error when working with the document.

I have tried to reproduce this and I got a crash on the first try. I didn't even have to delete anything, just opening the document and clicking (trying to select) did the trick.

Program received signal SIGSEGV, Segmentation fault.
#0  0x00007fffc0fa961d in lcl_IsCalcUpperAllowed(SwFrm const&) () from /usr/lib64/libreoffice/program/../program/libswlo.so
#1  0x00007fffc0fa9716 in SwFrm::PrepareMake() () from /usr/lib64/libreoffice/program/../program/libswlo.so
#2  0x00007fffc0fd7ab9 in SwFtnBossFrm::RearrangeFtns(long, unsigned char, SwTxtFtn const*) () from /usr/lib64/libreoffice/program/../program/libswlo.so
#3  0x00007fffc10c996d in SwTxtFrm::ConnectFtn(SwTxtFtn*, long) () from /usr/lib64/libreoffice/program/../program/libswlo.so
#4  0x00007fffc10ca342 in SwTxtFormatter::NewFtnPortion(SwTxtFormatInfo&, SwTxtAttr*) () from /usr/lib64/libreoffice/program/../program/libswlo.so
#5  0x00007fffc10bad3e in SwTxtFormatter::NewExtraPortion(SwTxtFormatInfo&) () from /usr/lib64/libreoffice/program/../program/libswlo.so
#6  0x00007fffc10959ac in SwTxtFormatter::NewPortion(SwTxtFormatInfo&) () from /usr/lib64/libreoffice/program/../program/libswlo.so
#7  0x00007fffc1095f39 in SwTxtFormatter::BuildPortions(SwTxtFormatInfo&) () from /usr/lib64/libreoffice/program/../program/libswlo.so
#8  0x00007fffc1096e8f in SwTxtFormatter::FormatLine(unsigned short) () from /usr/lib64/libreoffice/program/../program/libswlo.so
#9  0x00007fffc1073876 in SwTxtFrm::FormatLine(SwTxtFormatter&, unsigned char) () from /usr/lib64/libreoffice/program/../program/libswlo.so
#10 0x00007fffc10769d4 in SwTxtFrm::_Format(SwTxtFormatter&, SwTxtFormatInfo&, unsigned char) () from /usr/lib64/libreoffice/program/../program/libswlo.so
#11 0x00007fffc10776e9 in SwTxtFrm::_Format(SwParaPortion*) () from /usr/lib64/libreoffice/program/../program/libswlo.so
#12 0x00007fffc1077ff8 in SwTxtFrm::Format(SwBorderAttrs const*) () from /usr/lib64/libreoffice/program/../program/libswlo.so
#13 0x00007fffc0fac00b in SwCntntFrm::MakeAll() () from /usr/lib64/libreoffice/program/../program/libswlo.so
#14 0x00007fffc0fa98f9 in SwFrm::PrepareMake() () from /usr/lib64/libreoffice/program/../program/libswlo.so
#15 0x00007fffc0fabc7f in SwCntntFrm::MakeAll() () from /usr/lib64/libreoffice/program/../program/libswlo.so
#16 0x00007fffc0fa9885 in SwFrm::PrepareMake() () from /usr/lib64/libreoffice/program/../program/libswlo.so
#17 0x00007fffc0fd23b6 in GetFrmOfModify(SwRootFrm const*, SwModify const&, unsigned short, Point const*, SwPosition const*, unsigned char) ()
   from /usr/lib64/libreoffice/program/../program/libswlo.so
#18 0x00007fffc1028b17 in SwRootFrm::CalcFrmRects(SwShellCrsr&, unsigned char) () from /usr/lib64/libreoffice/program/../program/libswlo.so
#19 0x00007fffc0df5e80 in SwSelPaintRects::Show() () from /usr/lib64/libreoffice/program/../program/libswlo.so
#20 0x00007fffc0dd0ee1 in SwCrsrShell::UpdateCrsr(unsigned short, unsigned char) () from /usr/lib64/libreoffice/program/../program/libswlo.so
#21 0x00007fffc0dd1558 in SwCrsrShell::EndAction(unsigned char) () from /usr/lib64/libreoffice/program/../program/libswlo.so
#22 0x00007fffc0feabae in SwRootFrm::EndAllAction(unsigned char) () from /usr/lib64/libreoffice/program/../program/libswlo.so
#23 0x00007fffc0f11d67 in SwDrawContact::Changed(SdrObject const&, SdrUserCallType, Rectangle const&) () from /usr/lib64/libreoffice/program/../program/libswlo.so
#24 0x00007fffd5b90f07 in SdrObject::SendUserCall(SdrUserCallType, Rectangle const&) const () from /usr/lib64/libreoffice/program/../program/libsvxcorelo.so
#25 0x00007fffd5b9109f in SdrObject::Move(Size const&) () from /usr/lib64/libreoffice/program/../program/libsvxcorelo.so
#26 0x00007fffc0f9cd06 in SwAnchoredDrawObject::_SetObjTop(long) () from /usr/lib64/libreoffice/program/../program/libswlo.so
#27 0x00007fffc0f9f91a in SwAnchoredObject::SetObjTop(long) () from /usr/lib64/libreoffice/program/../program/libswlo.so
#28 0x00007fffc103a7f6 in objectpositioning::SwToCntntAnchoredObjectPosition::CalcPosition() () from /usr/lib64/libreoffice/program/../program/libswlo.so
#29 0x00007fffc0f9e125 in SwAnchoredDrawObject::_MakeObjPosAnchoredAtPara() () from /usr/lib64/libreoffice/program/../program/libswlo.so
#30 0x00007fffc0f9e790 in SwAnchoredDrawObject::MakeObjPos() () from /usr/lib64/libreoffice/program/../program/libswlo.so
#31 0x00007fffc0fe7d67 in SwObjectFormatter::_FormatObj(SwAnchoredObject&) () from /usr/lib64/libreoffice/program/../program/libswlo.so
#32 0x00007fffc0fe8ae5 in SwObjectFormatterTxtFrm::DoFormatObj(SwAnchoredObject&, bool) () from /usr/lib64/libreoffice/program/../program/libswlo.so
#33 0x00007fffc0fe799e in SwObjectFormatter::_FormatObjsAtFrm(SwTxtFrm*) () from /usr/lib64/libreoffice/program/../program/libswlo.so
#34 0x00007fffc0fe8f7a in SwObjectFormatterTxtFrm::DoFormatObjs() () from /usr/lib64/libreoffice/program/../program/libswlo.so
#35 0x00007fffc0fe76a1 in SwObjectFormatter::FormatObjsAtFrm(SwFrm&, SwPageFrm const&, SwLayAction*) () from /usr/lib64/libreoffice/program/../program/libswlo.so
#36 0x00007fffc0fdb08f in SwHeadFootFrm::FormatSize(long, SwBorderAttrs const*) () from /usr/lib64/libreoffice/program/../program/libswlo.so
#37 0x00007fffc0fdb56f in SwHeadFootFrm::Format(SwBorderAttrs const*) () from /usr/lib64/libreoffice/program/../program/libswlo.so
#38 0x00007fffc0faa880 in SwLayoutFrm::MakeAll() () from /usr/lib64/libreoffice/program/../program/libswlo.so
#39 0x00007fffc0fa9885 in SwFrm::PrepareMake() () from /usr/lib64/libreoffice/program/../program/libswlo.so
#40 0x00007fffc0fa99dc in SwFrm::PrepareMake() () from /usr/lib64/libreoffice/program/../program/libswlo.so
#41 0x00007fffc0fd7d9f in SwFtnBossFrm::RearrangeFtns(long, unsigned char, SwTxtFtn const*) () from /usr/lib64/libreoffice/program/../program/libswlo.so
#42 0x00007fffc10c9ca6 in SwTxtFrm::ConnectFtn(SwTxtFtn*, long) () from /usr/lib64/libreoffice/program/../program/libswlo.so
#43 0x00007fffc10ca342 in SwTxtFormatter::NewFtnPortion(SwTxtFormatInfo&, SwTxtAttr*) () from /usr/lib64/libreoffice/program/../program/libswlo.so
#44 0x00007fffc10bad3e in SwTxtFormatter::NewExtraPortion(SwTxtFormatInfo&) () from /usr/lib64/libreoffice/program/../program/libswlo.so
#45 0x00007fffc10959ac in SwTxtFormatter::NewPortion(SwTxtFormatInfo&) () from /usr/lib64/libreoffice/program/../program/libswlo.so
#46 0x00007fffc1095f39 in SwTxtFormatter::BuildPortions(SwTxtFormatInfo&) () from /usr/lib64/libreoffice/program/../program/libswlo.so
#47 0x00007fffc1096e8f in SwTxtFormatter::FormatLine(unsigned short) () from /usr/lib64/libreoffice/program/../program/libswlo.so
#48 0x00007fffc1073876 in SwTxtFrm::FormatLine(SwTxtFormatter&, unsigned char) () from /usr/lib64/libreoffice/program/../program/libswlo.so
#49 0x00007fffc10769d4 in SwTxtFrm::_Format(SwTxtFormatter&, SwTxtFormatInfo&, unsigned char) () from /usr/lib64/libreoffice/program/../program/libswlo.so
#50 0x00007fffc10776e9 in SwTxtFrm::_Format(SwParaPortion*) () from /usr/lib64/libreoffice/program/../program/libswlo.so
#51 0x00007fffc1077ff8 in SwTxtFrm::Format(SwBorderAttrs const*) () from /usr/lib64/libreoffice/program/../program/libswlo.so
#52 0x00007fffc0fac00b in SwCntntFrm::MakeAll() () from /usr/lib64/libreoffice/program/../program/libswlo.so
#53 0x00007fffc0fa98f9 in SwFrm::PrepareMake() () from /usr/lib64/libreoffice/program/../program/libswlo.so
#54 0x00007fffc0fabc7f in SwCntntFrm::MakeAll() () from /usr/lib64/libreoffice/program/../program/libswlo.so
#55 0x00007fffc0fa9885 in SwFrm::PrepareMake() () from /usr/lib64/libreoffice/program/../program/libswlo.so
#56 0x00007fffc0fd23b6 in GetFrmOfModify(SwRootFrm const*, SwModify const&, unsigned short, Point const*, SwPosition const*, unsigned char) ()
   from /usr/lib64/libreoffice/program/../program/libswlo.so
#57 0x00007fffc1028b17 in SwRootFrm::CalcFrmRects(SwShellCrsr&, unsigned char) () from /usr/lib64/libreoffice/program/../program/libswlo.so
#58 0x00007fffc0df5e80 in SwSelPaintRects::Show() () from /usr/lib64/libreoffice/program/../program/libswlo.so
#59 0x00007fffc0dd0ee1 in SwCrsrShell::UpdateCrsr(unsigned short, unsigned char) () from /usr/lib64/libreoffice/program/../program/libswlo.so
#60 0x00007fffc0dd1558 in SwCrsrShell::EndAction(unsigned char) () from /usr/lib64/libreoffice/program/../program/libswlo.so
#61 0x00007fffc0feabae in SwRootFrm::EndAllAction(unsigned char) () from /usr/lib64/libreoffice/program/../program/libswlo.so
#62 0x00007fffc0f11d67 in SwDrawContact::Changed(SdrObject const&, SdrUserCallType, Rectangle const&) () from /usr/lib64/libreoffice/program/../program/libswlo.so
#63 0x00007fffd5b90f07 in SdrObject::SendUserCall(SdrUserCallType, Rectangle const&) const () from /usr/lib64/libreoffice/program/../program/libsvxcorelo.so
#64 0x00007fffd5b9109f in SdrObject::Move(Size const&) () from /usr/lib64/libreoffice/program/../program/libsvxcorelo.so
#65 0x00007fffc0f9cd06 in SwAnchoredDrawObject::_SetObjTop(long) () from /usr/lib64/libreoffice/program/../program/libswlo.so
#66 0x00007fffc0f9f91a in SwAnchoredObject::SetObjTop(long) () from /usr/lib64/libreoffice/program/../program/libswlo.so
#67 0x00007fffc103a7f6 in objectpositioning::SwToCntntAnchoredObjectPosition::CalcPosition() () from /usr/lib64/libreoffice/program/../program/libswlo.so
#68 0x00007fffc0f9e125 in SwAnchoredDrawObject::_MakeObjPosAnchoredAtPara() () from /usr/lib64/libreoffice/program/../program/libswlo.so
#69 0x00007fffc0f9e790 in SwAnchoredDrawObject::MakeObjPos() () from /usr/lib64/libreoffice/program/../program/libswlo.so
#70 0x00007fffc0fe7d67 in SwObjectFormatter::_FormatObj(SwAnchoredObject&) () from /usr/lib64/libreoffice/program/../program/libswlo.so
#71 0x00007fffc0fe8ae5 in SwObjectFormatterTxtFrm::DoFormatObj(SwAnchoredObject&, bool) () from /usr/lib64/libreoffice/program/../program/libswlo.so
#72 0x00007fffc0fe799e in SwObjectFormatter::_FormatObjsAtFrm(SwTxtFrm*) () from /usr/lib64/libreoffice/program/../program/libswlo.so
#73 0x00007fffc0fe8f7a in SwObjectFormatterTxtFrm::DoFormatObjs() () from /usr/lib64/libreoffice/program/../program/libswlo.so
#74 0x00007fffc0fe76a1 in SwObjectFormatter::FormatObjsAtFrm(SwFrm&, SwPageFrm const&, SwLayAction*) () from /usr/lib64/libreoffice/program/../program/libswlo.so
#75 0x00007fffc0fdb08f in SwHeadFootFrm::FormatSize(long, SwBorderAttrs const*) () from /usr/lib64/libreoffice/program/../program/libswlo.so
#76 0x00007fffc0fdb56f in SwHeadFootFrm::Format(SwBorderAttrs const*) () from /usr/lib64/libreoffice/program/../program/libswlo.so
#77 0x00007fffc0faa880 in SwLayoutFrm::MakeAll() () from /usr/lib64/libreoffice/program/../program/libswlo.so
#78 0x00007fffc0fa9885 in SwFrm::PrepareMake() () from /usr/lib64/libreoffice/program/../program/libswlo.so
#79 0x00007fffc0faa190 in SwFrm::MakePos() [clone .part.54] () from /usr/lib64/libreoffice/program/../program/libswlo.so
#80 0x00007fffc101f372 in SwTabFrm::MakeAll() () from /usr/lib64/libreoffice/program/../program/libswlo.so
#81 0x00007fffc1020ec9 in SwTabFrm::MakeAll() () from /usr/lib64/libreoffice/program/../program/libswlo.so
#82 0x00007fffc0fa9885 in SwFrm::PrepareMake() () from /usr/lib64/libreoffice/program/../program/libswlo.so
#83 0x00007fffc0fd23b6 in GetFrmOfModify(SwRootFrm const*, SwModify const&, unsigned short, Point const*, SwPosition const*, unsigned char) ()
   from /usr/lib64/libreoffice/program/../program/libswlo.so
#84 0x00007fffc1028b17 in SwRootFrm::CalcFrmRects(SwShellCrsr&, unsigned char) () from /usr/lib64/libreoffice/program/../program/libswlo.so
#85 0x00007fffc0df5e80 in SwSelPaintRects::Show() () from /usr/lib64/libreoffice/program/../program/libswlo.so
#86 0x00007fffc0dd0ee1 in SwCrsrShell::UpdateCrsr(unsigned short, unsigned char) () from /usr/lib64/libreoffice/program/../program/libswlo.so
#87 0x00007fffc0dd1558 in SwCrsrShell::EndAction(unsigned char) () from /usr/lib64/libreoffice/program/../program/libswlo.so
#88 0x00007fffc0feabae in SwRootFrm::EndAllAction(unsigned char) () from /usr/lib64/libreoffice/program/../program/libswlo.so
#89 0x00007fffc0f11d67 in SwDrawContact::Changed(SdrObject const&, SdrUserCallType, Rectangle const&) () from /usr/lib64/libreoffice/program/../program/libswlo.so
#90 0x00007fffd5b90f07 in SdrObject::SendUserCall(SdrUserCallType, Rectangle const&) const () from /usr/lib64/libreoffice/program/../program/libsvxcorelo.so
#91 0x00007fffd5b9109f in SdrObject::Move(Size const&) () from /usr/lib64/libreoffice/program/../program/libsvxcorelo.so
#92 0x00007fffc0f9cd06 in SwAnchoredDrawObject::_SetObjTop(long) () from /usr/lib64/libreoffice/program/../program/libswlo.so
#93 0x00007fffc0f9f91a in SwAnchoredObject::SetObjTop(long) () from /usr/lib64/libreoffice/program/../program/libswlo.so
#94 0x00007fffc103a7f6 in objectpositioning::SwToCntntAnchoredObjectPosition::CalcPosition() () from /usr/lib64/libreoffice/program/../program/libswlo.so
#95 0x00007fffc0f9e125 in SwAnchoredDrawObject::_MakeObjPosAnchoredAtPara() () from /usr/lib64/libreoffice/program/../program/libswlo.so
#96 0x00007fffc0f9e790 in SwAnchoredDrawObject::MakeObjPos() () from /usr/lib64/libreoffice/program/../program/libswlo.so
#97 0x00007fffc0fe7d67 in SwObjectFormatter::_FormatObj(SwAnchoredObject&) () from /usr/lib64/libreoffice/program/../program/libswlo.so
#98 0x00007fffc0fe8ae5 in SwObjectFormatterTxtFrm::DoFormatObj(SwAnchoredObject&, bool) () from /usr/lib64/libreoffice/program/../program/libswlo.so
#99 0x00007fffc0fe799e in SwObjectFormatter::_FormatObjsAtFrm(SwTxtFrm*) () from /usr/lib64/libreoffice/program/../program/libswlo.so
#100 0x00007fffc0fe8f7a in SwObjectFormatterTxtFrm::DoFormatObjs() () from /usr/lib64/libreoffice/program/../program/libswlo.so
#101 0x00007fffc0fe76a1 in SwObjectFormatter::FormatObjsAtFrm(SwFrm&, SwPageFrm const&, SwLayAction*) () from /usr/lib64/libreoffice/program/../program/libswlo.so
#102 0x00007fffc0fdb08f in SwHeadFootFrm::FormatSize(long, SwBorderAttrs const*) () from /usr/lib64/libreoffice/program/../program/libswlo.so
#95 0x00007fffc0f9e125 in SwAnchoredDrawObject::_MakeObjPosAnchoredAtPara() () from /usr/lib64/libreoffice/program/../program/libswlo.so
#96 0x00007fffc0f9e790 in SwAnchoredDrawObject::MakeObjPos() () from /usr/lib64/libreoffice/program/../program/libswlo.so
#97 0x00007fffc0fe7d67 in SwObjectFormatter::_FormatObj(SwAnchoredObject&) () from /usr/lib64/libreoffice/program/../program/libswlo.so
#98 0x00007fffc0fe8ae5 in SwObjectFormatterTxtFrm::DoFormatObj(SwAnchoredObject&, bool) () from /usr/lib64/libreoffice/program/../program/libswlo.so
#99 0x00007fffc0fe799e in SwObjectFormatter::_FormatObjsAtFrm(SwTxtFrm*) () from /usr/lib64/libreoffice/program/../program/libswlo.so
#100 0x00007fffc0fe8f7a in SwObjectFormatterTxtFrm::DoFormatObjs() () from /usr/lib64/libreoffice/program/../program/libswlo.so
#101 0x00007fffc0fe76a1 in SwObjectFormatter::FormatObjsAtFrm(SwFrm&, SwPageFrm const&, SwLayAction*) () from /usr/lib64/libreoffice/program/../program/libswlo.so
#102 0x00007fffc0fdb08f in SwHeadFootFrm::FormatSize(long, SwBorderAttrs const*) () from /usr/lib64/libreoffice/program/../program/libswlo.so
---Type <return> to continue, or q <return> to quit---
#103 0x00007fffc0fdb56f in SwHeadFootFrm::Format(SwBorderAttrs const*) () from /usr/lib64/libreoffice/program/../program/libswlo.so
#104 0x00007fffc0faa880 in SwLayoutFrm::MakeAll() () from /usr/lib64/libreoffice/program/../program/libswlo.so
#105 0x00007fffc0fa98f9 in SwFrm::PrepareMake() () from /usr/lib64/libreoffice/program/../program/libswlo.so
#106 0x00007fffc0fe9573 in lcl_FormatLay(SwLayoutFrm*) () from /usr/lib64/libreoffice/program/../program/libswlo.so
#107 0x00007fffc0fed4cd in SwPageFrm::PreparePage(unsigned char) () from /usr/lib64/libreoffice/program/../program/libswlo.so
#108 0x00007fffc0feddcb in SwFrm::InsertPage(SwPageFrm*, unsigned char) () from /usr/lib64/libreoffice/program/../program/libswlo.so
#109 0x00007fffc0fb7e19 in SwFrm::GetNextLeaf(MakePageType) () from /usr/lib64/libreoffice/program/../program/libswlo.so
#110 0x00007fffc0fb8457 in SwFlowFrm::MoveFwd(unsigned char, unsigned char, unsigned char) () from /usr/lib64/libreoffice/program/../program/libswlo.so
#111 0x00007fffc0fad063 in SwCntntFrm::MakeAll() () from /usr/lib64/libreoffice/program/../program/libswlo.so
#112 0x00007fffc0fa9885 in SwFrm::PrepareMake() () from /usr/lib64/libreoffice/program/../program/libswlo.so
#113 0x00007fffc0fd23b6 in GetFrmOfModify(SwRootFrm const*, SwModify const&, unsigned short, Point const*, SwPosition const*, unsigned char) ()
   from /usr/lib64/libreoffice/program/../program/libswlo.so
#114 0x00007fffc1028b17 in SwRootFrm::CalcFrmRects(SwShellCrsr&, unsigned char) () from /usr/lib64/libreoffice/program/../program/libswlo.so
#115 0x00007fffc0df5e80 in SwSelPaintRects::Show() () from /usr/lib64/libreoffice/program/../program/libswlo.so
#116 0x00007fffc0dd0ee1 in SwCrsrShell::UpdateCrsr(unsigned short, unsigned char) () from /usr/lib64/libreoffice/program/../program/libswlo.so
#117 0x00007fffc0dd1558 in SwCrsrShell::EndAction(unsigned char) () from /usr/lib64/libreoffice/program/../program/libswlo.so
#118 0x00007fffc0f40dae in SwMvContext::~SwMvContext() () from /usr/lib64/libreoffice/program/../program/libswlo.so
#119 0x00007fffc155aedb in SwWrtShell::SelAll() () from /usr/lib64/libreoffice/program/../program/libswlo.so
#120 0x00007fffc1483690 in SwTextShell::ExecMove(SfxRequest&) () from /usr/lib64/libreoffice/program/../program/libswlo.so
#121 0x00007ffff68ff7a8 in SfxShell::CallExec(void (*)(SfxShell*, SfxRequest&), SfxRequest&) () from /usr/lib64/libreoffice/program/libsfxlo.so
#122 0x00007ffff68f8d9e in SfxDispatcher::Call_Impl(SfxShell&, SfxSlot const&, SfxRequest&, unsigned char) () from /usr/lib64/libreoffice/program/libsfxlo.so
#123 0x00007ffff68fa961 in SfxDispatcher::_Execute(SfxShell&, SfxSlot const&, SfxRequest&, unsigned short) () from /usr/lib64/libreoffice/program/libsfxlo.so
#124 0x00007ffff669235d in SfxBindings::Execute_Impl(SfxRequest&, SfxSlot const*, SfxShell*) () from /usr/lib64/libreoffice/program/libsfxlo.so
#125 0x00007ffff66c72f4 in SfxDispatchController_Impl::dispatch(com::sun::star::util::URL const&, com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&, com::sun::star::uno::Reference<com::sun::star::frame::XDispatchResultListener> const&) () from /usr/lib64/libreoffice/program/libsfxlo.so
#126 0x00007ffff66c8802 in SfxOfficeDispatch::dispatch(com::sun::star::util::URL const&, com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&) ()
   from /usr/lib64/libreoffice/program/libsfxlo.so
#127 0x00007ffff5e2d407 in svt::AsyncAccelExec::impl_ts_asyncCallback(void*) () from /usr/lib64/libreoffice/program/libsvtlo.so
#128 0x00007ffff4980bba in vcl::EventPoster::LinkStubDoEvent_Impl(void*, void*) () from /usr/lib64/libreoffice/program/libvcllo.so
#129 0x00007ffff4a3721c in ImplWindowFrameProc(Window*, SalFrame*, unsigned short, void const*) () from /usr/lib64/libreoffice/program/libvcllo.so
#130 0x00007ffff4a3deb8 in SalGenericDisplay::DispatchInternalEvent() () from /usr/lib64/libreoffice/program/libvcllo.so
#131 0x00007fffe80ac31f in GtkData::userEventFn(void*) () from /usr/lib64/libreoffice/program/libvclplug_gtklo.so
#132 0x00007fffe80ac391 in call_userEventFn () from /usr/lib64/libreoffice/program/libvclplug_gtklo.so
#133 0x0000003ba58492a6 in g_main_context_dispatch () from /lib64/libglib-2.0.so.0
#134 0x0000003ba5849628 in g_main_context_iterate.isra () from /lib64/libglib-2.0.so.0
#135 0x0000003ba58496dc in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#136 0x00007fffe80ac085 in GtkData::Yield(bool, bool) () from /usr/lib64/libreoffice/program/libvclplug_gtklo.so
#137 0x00007ffff4747d72 in Application::Yield() () from /usr/lib64/libreoffice/program/libvcllo.so
#138 0x00007ffff4747e05 in Application::Execute() () from /usr/lib64/libreoffice/program/libvcllo.so
#139 0x00007ffff7b4bea3 in desktop::Desktop::Main() () from /usr/lib64/libreoffice/program/libsofficeapp.so
#140 0x00007ffff474f4d1 in ImplSVMain() () from /usr/lib64/libreoffice/program/libvcllo.so
#141 0x00007ffff474f502 in SVMain() () from /usr/lib64/libreoffice/program/libvcllo.so
#142 0x00007ffff7b70c75 in soffice_main () from /usr/lib64/libreoffice/program/libsofficeapp.so
#143 0x000000000040071b in main ()

No issues in any other GUI applications on this machine, do you think could be related to my environment? Tried to make libreoffice crash with other documents or empty documents but I was not successful. Looks like this is specific to the document I linked.

Comment 3 Martin Preisler 2015-02-20 14:21:29 UTC
Just reproduced this on Fedora 21. A combination of delete and CTRL+Z did the trick. Pretty sure it's related to the docx document.

This time I reproduced it with GNOME 3 and more or less stock Fedora 21.

# dnf info libreoffice
Available Packages
Name        : libreoffice
Arch        : x86_64
Epoch       : 1
Version     : 4.3.5.2
Release     : 11.fc21
Size        : 65 k
Repo        : updates
Summary     : Free Software Productivity Suite
URL         : http://www.libreoffice.org/

Comment 4 Caolan McNamara 2015-03-03 16:18:15 UTC
any chance you have an exact route to reproduce ?, e.g. "select paragraph X", "delete it", "undo delete" -> crash ?

Comment 5 Martin Preisler 2015-03-03 16:35:25 UTC
1) Open document
2) Select All
3) Delete
4) CTRL+Z

Comment 6 Fedora End Of Life 2015-11-04 11:10:59 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Fedora End Of Life 2015-12-02 03:17:48 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.